Name: 		seahorse
Version: 	1.0.1
Release:        9%{?dist}
Summary:	GNOME2 interface for gnupg
Group: 		User Interface/Desktops
# seahorse is GPLv2+
# libcryptui is LGPLv2+
License:        GPLv2+ and LGPLv2+
URL:            http://seahorse.sourceforge.net/
Source:         http://ftp.gnome.org/pub/GNOME/sources/seahorse/%{version}/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gedit-devel
BuildRequires:  gettext
BuildRequires:  gpgme-devel >= 1.0
BuildRequires:  gnupg
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  scrollkeeper
BuildRequires:  nautilus-devel
BuildRequires:  libsoup-devel
BuildRequires:  openldap-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  libnotify-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  openssh-clients
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  gnome-keyring-devel
Requires(post): desktop-file-utils
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(post): shared-mime-info
Requires(postun): desktop-file-utils
Requires(postun): scrollkeeper
Requires(postun): shared-mime-info

%description
Seahorse is a gnome2 interface for gnupg.
It uses gpgme as the backend.


%prep
%setup -q
sed -i "s/update-mime-database/#update-mime-database/g" plugins/nautilus/Makefile.in
sed -i "s/update-mime-database/#update-mime-database/g" plugins/nautilus/Makefile.am

%build
%configure --disable-scrollkeeper
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang seahorse

# get rid of the cryptui-devel stuff until we figure out whast do with it later
rm -rf ${RPM_BUILD_ROOT}/usr/include/libcryptui
rm -rf ${RPM_BUILD_ROOT}/usr/lib/pkgconfig/cryptui-0.0.pc
rm -rf ${RPM_BUILD_ROOT}/usr/lib64/pkgconfig/cryptui-0.0.pc


rm -rf ${RPM_BUILD_ROOT}/var/scrollkeeper
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   	\
  --add-category X-Fedora                               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/seahorse-pgp-encrypted.desktop

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category X-Fedora                               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/seahorse-pgp-signature.desktop

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category GNOME                                  \
  --add-category Utility                                \
  --add-category X-Fedora                               \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/seahorse.desktop

# nuke the icon cache
rm -f ${RPM_BUILD_ROOT}/usr/share/icons/hicolor/icon-theme.cache

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 \
     --makefile-install-rule \
     %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
scrollkeeper-update -q ||:
update-mime-database %{_datadir}/mime/ > /dev/null
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi



%postun
/sbin/ldconfig
scrollkeeper-update -q ||:
update-mime-database %{_datadir}/mime/ > /dev/null
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_datadir}/control-center-2.0/capplets/*.desktop
%dir %{_datadir}/gnome/help/%{name}
%{_datadir}/gnome/help/%{name}/*
%{_datadir}/gnome/help/%{name}-applet/*
%{_datadir}/mime/packages/*
%{_datadir}/icons/*
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/%{name}/*
%dir %{_datadir}/omf/%{name}-applet
%{_datadir}/omf/%{name}-applet/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*.gz
%dir %{_libdir}/seahorse
%{_libdir}/seahorse/*
%{_datadir}/gnome-2.0/ui/GNOME_SeahorseApplet.xml
%{_libdir}/libcryptui*
%{_libdir}/gedit-2/plugins/*
%{_libdir}/nautilus/extensions-1.0/libnautilus-seahorse.so
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/bonobo/servers/GNOME_SeahorseApplet.server
%{_datadir}/dbus-1/services/org.gnome.seahorse.service


%changelog
* Wed Aug 22 2007 Seth Vidal <skvidal at fedoraproject.org>
- fix license tag
- rebuild for fun!

* Fri Jul 20 2007 Seth Vidal <skvidal at fedoraproject.org>
- disable gedit plugin in rawhide, for now :(

* Tue Jun 26 2007 Seth Vidal <skvidal at fedoraproject.org>
- update to 1.0.1

* Sun Aug 13 2006 Seth Vidal <skvidal at linux.duke.edu>
- re-enable gedit
- update to 0.8.1

* Tue Mar  7 2006 Seth Vidal <skvidal at linux.duke.edu>
- added openldap-devel buildreq to hopefully close bug # 184124

* Thu Feb 23 2006 Seth Vidal <skvidal at linux.duke.edu>
- Patch from John Thacker for rh bug #182694 


* Mon Jan 16 2006 Seth Vidal <skvidal at linux.duke.edu> - 0.8-2
- added configure patch for it to build
- disable gedit plugins until seahorse gets fixed to work with gedit 2.13+

* Wed Oct 26 2005 Seth Vidal <skvidal@phy.duke.edu> - 0.8-1
- 0.8

* Thu Jul 28 2005 Seth Vidal <skvidal@phy.duke.edu> - 0.7.9-1
- 0.7.9

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 0.7.7-3
- make sure all files are included
- BR nautilus-devel

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.7.7-2
- rebuild on all arches

* Thu May  5 2005 Seth Vidal <skvidal@phy.duke.edu> 0.7.7-1
- 0.7.7

* Tue Apr 19 2005 Seth Vidal <skvidal at phy.duke.edu> 0.7.6-4
- something innocuous to test on


* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Feb 25 2005 Phillip Compton <pcompton[AT]proteinmedia.com> 0.7.6-2
- desktop entry fixes.

* Fri Feb 25 2005 Phillip Compton <pcompton[AT]proteinmedia.com> 0.7.6-1
- 0.7.6.

* Mon Nov 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.5
- BuildReq scrollkeeper.

* Wed Oct 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.4
- Uncommented .la removal.

* Sun Sep 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.3
- Grabbed new copy os source from upstream.
- Fixed path on Source0, to allow direct download.
- BuildReq desktop-file-utils.

* Sun Sep 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.2
- Fixed file permission on source tarball.
- Fixed Group.
- Removed aesthetic comments.
- Brought more in line with current spec template.

* Sun Aug 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> 0:0.7.3-0.fdr.1
- Fedorification.
- Added path to Source0.
- Added URL.
- buildroot -> RPM_BUILD_ROOT.
- BuildReq libgnomeui-devel, eel2-devel, gpgme03-devel.
- BuildReq gettext.
- post Req GConf2.
- post/postun Req scrollkeeper.
- .la/.a removal.
- cosmetic changes.

* Fri May 02 2003 Matthew Hall <matt@ecsc.co.uk> 0.7.3-1
- 0.7.3 Release

* Wed Apr 23 2003 Matthew Hall <matt@ecsc.co.uk> 0.7.1-3
- Rebuilt against gpgme 0.3.15

* Sat Apr 12 2003 Matthew Hall <matt@ecsc.co.uk> 0.7.1-2
- RedHat 9 Rebuild

* Sun Jan 26 2003 Matthew Hall <matt@ecsc.co.uk>
- New Spec File

